package cn.com.ctop.kuaishou.modules.report.service;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;

import java.util.List;
import java.util.Map;

public interface IDuanJUReportService {
    JSONObject getTotalCharge(Map<String, Object> requestMap);

    Result<Object> getAccountList(Integer pageNo, Integer pageSize, Map<String, Object> requestMap);

    Result<Object> getDuanJuList(Integer pageNo, Integer pageSize, Map<String, Object> requestMap);

    List<JSONObject> getViodeoList(Map<String, Object> requestMap);

    String getAgentToken(Long appId);

    void replaceDatas(List<JSONObject> adds);

    List<JSONObject> stopList(Map<String, Object> requestMap);

    Result<Object> getViodeoListByPage(Map<String, Object> requestMap, Integer pageNo, Integer pageSize);
}
